API ReferenceapiaffiliatesPOST /v1/admin/payouts/run-nightly

POST /v1/admin/payouts/run-nightly

Service: affiliates · operationId: (none)

Run the nightly payout batch for all active affiliates

Required scopes

(no scope declared — review service config)

Responses

200 Batch completed

{
  "type": "object",
  "properties": {
    "processed": {
      "type": "integer"
    },
    "total_cents": {
      "type": "string"
    },
    "errors": {
      "type": "integer"
    }
  },
  "required": [
    "processed",
    "total_cents",
    "errors"
  ]
}

500 Internal error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://affiliates.platform.loop.health/v1/admin/payouts/run-nightly \
  -H "Authorization: Bearer $ACCESS_TOKEN"